<?php

namespace App\Models\Forums;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ForumMedia extends Model
{
    use SoftDeletes;

    // the table this model refers to.
    protected $table = 'forum_media';

    //the fillable fields
    protected $fillable = [
        'location', 'name', 'type', 'size', 'user_id', 'description', 'path',
    ];

    /**
     * A media record is owned by a user
     * @return \Illuminate\Database\Eloquent\Relations\BelongsTo
     */
    public function user()
    {
        return $this->hasOne('App\Models\Auth\User', 'id', 'user_id');
    }

}
