<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class UpdateBoardForBaseTemplate extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('boards', function (Blueprint $table) {
            if (!Schema::hasColumn('boards', 'base_template')) {
                $table->string('base_template', 45)->nullable();
            };
            if (!Schema::hasColumn('boards', 'exclude_from_limit')) {
                $table->string('exclude_from_limit', 45)->nullable();
            };
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('boards', function (Blueprint $table) {
            if (Schema::hasColumn('boards', 'base_template')) {
                $table->dropColumn('base_template')->nullable();
            };
            if (!Schema::hasColumn('boards', 'exclude_from_limit')) {
                $table->dropColumn('exclude_from_limit')->nullable();
            };
        });
    }
}
