const delay_by_in_ms = 700;
var scheduled_function = false;

var template_modal_init = false;
var selected_folder_id;
var template_grid;

const initTemplates = () => {
    console.log('init templates')
    var template_modal_init = true;
    // attach onchange event to clipart tags select box

    template_grid = $('#template_tiles').packery({
        // options
        //initLayout: false,
        itemSelector: '.template-grid-item',
        gutter: 10,
    });

    // clean up grid
    if ($('.template-grid-item').length > 0) {
        currentPage = 1;
        template_grid.one('removeComplete', () => {
            getNewTemplatesFromTagsAndText(currentPage);
        }).packery('remove', $('.template-grid-item'));
    } else {
        getNewTemplatesFromTagsAndText(currentPage);
    }
    // initial
    // getNewTemplatesFromTagsAndText(1);

}


//Get the clipart into the 'new element'
const getNewTemplatesFromTagsAndText = (page) => {
    //clean up the
    console.log('getNewTemplatesFromTagsAndText')

    let tags = $('#template_tags').val();
    let types = $('#template_type').val();
    let text = $('#new_template_search_text').val();
    //   let page = currentClipartPage;
    //$("#selected_clipart_name").html();
    console.log('loading...')
    //@TODO append a loading indicator to the bottom of the clipart list
    var vars = [];
    loading = true;
    axios.get(baseurl + '/board/searchtemplatesbytagsandtext', {
        params: {
            page: page,
            tags: tags,
            types: types,
            search: text
        }
    })
        .then((response) => {
            let newElements = '';
            response.data.items.forEach((item, index) => {

                let newElement = $('<label>' +
                    '<input type="radio" onclick="handleTemplateSelectionClick(this)"  name="template_selection" value="' + item.id + '" data-name="' + item.name + '" data-description="' + item.description + '" data-citations="' + item.citations + '" data-tags="' + item.formattedtags + '" data-types="' + item.formattedtypes + '">' +
                    '<div class="template-grid-item board_preview board_container" data-folder="' + item.folder + '" data-id="' + item.id + '" data-timestamp="' + item.created_timestamp + '" style="border: 1px solid gray; min-width: 192px !important;width: 25% !important; max-width:192px !important; background-color: white">' +
                    '<div class="col board_section">' +
                    '<div class=" board_section_heading">' + item.name + '</div>' +
                    '<div class="board_section_image">' +
                    '<img class="is-loading mb-2 template_thumb" src="' + baseurl + '/board/' + item.id + '/thumb" style="height: 100px; border: 1px solid gray; width:100%;">' +
                    '</div>' +
                    '<div class="board_section_footer">' +
                    '</div></div></div></label>');

                template_grid.append(newElement).packery('appended', newElement);
            });

            $("#template_tiles").imagesLoaded()
                .progress(onProgress)
                .always(onAlways);
            loading = false;
        }).catch((error) => {
        console.log(error);
        alert('something went wrong with the fetch');
    }).finally(() => {
        loading = false;
    });
}

// triggered after each item is loaded
function onProgress(imgLoad, image) {
    // console.log('onProgress:')
    // console.log(image)
    // change class if the image is loaded or broken
    var $item = $(image.img);
    $item.removeClass('is-loading');

    if (!image.isLoaded) {
        $item.addClass('is-broken');
    }
    // update progress element
    //loadedImageCount++;
    //updateProgress( loadedImageCount );
}

// hide status when done
function onAlways() {
    console.log('onAlways says loading done')
    //$status.css({ opacity: 0 });
}


const handleTemplateSelectionClick = (ctrl) => {
    $("#selected_template_name").html(': ' + $(ctrl).data('name'));
    $("#selected_template_name_sm").html($(ctrl).data('name'));
    $("#selected_template_description").html($(ctrl).data('description'));
    $("#selected_template_tags").html($(ctrl).data('tags'));
    $("#selected_template_types").html($(ctrl).data('types'));
    $("#template_preview").attr('src', baseurl + '/board/' + $(ctrl).val() + '/thumb');
    $("#new_template_btn").prop('disabled', false)
}

const handleTemplateSelectionOver = (img) => {
    // console.log('mouseover')
    $("#selected_template_detail_name").html($(img).data('name'));
    $("#selected_template_detail_description").html($(img).data('description'));
    $("#selected_template_detail_citation").html('<ul>');
    $(img).data('citations').split(',').forEach((item, i) => {
        $("#selected_clipart_detail_citation").append('<li>' + item + '</li>');
    });
    $("#selected_clipart_detail_citation").append('</ul>');
}
const handleTemplateSelectionOut = (img) => {
    if (!$("input[name='template_selection']:checked").val()) {
        $("#selected_template_name").html('');
    } else {
        $("#selected_template_name").html(":" + $("input[name='template_selection']:checked").data('name'));
    }

}

const newBoardFromTemplate = () => {

    let data = {};
    let id = $("input[name='template_selection']:checked").val();
    $("#new_clipart_modal").modal('hide').on('hidden.bs.modal', function (e) {
        $("input[name='template_selection']:checked").removeAttr('checked');
        $("#add_clipart_btn").prop('disabled', true)
    }).modal('hide');
    if (typeof lab_id !== 'undefined') {

        data = {
            template_id: id,
            lab_id: lab_id,
        }
    } else {

        data = {
            template_id: id,
        }
    }
    axios({
        url: baseurl + '/board/newfromtemplate',
        method: 'POST',
        data: data
    }).then((response) => {
        console.log(response)
        if (response.data.status == 0) {
            window.location.replace(baseurl + '/board/' + response.data.id);
        } else {
            alert('something went wrong with the operation because the status was ' + response.data.status);
        }
    }).catch(function (error) {
        alert('something went wrong with the operation');
    }).finally(() => {
        // wait(false);
    });
}

var selected_board_id = -1;

const deleteSelectedBoard = (id) => {
    Swal.fire({
        showClass: {
            popup: 'animate__animated animate__fadeInDown'
        },
        hideClass: {
            popup: 'animate__animated animate__fadeOutUp'
        },
        title: 'Really delete board?',
        icon: 'warning',
        confirmButtonText: 'OK',
        showCancelButton: true
    }).then((result) => {
        /* Read more about isConfirmed, isDenied below */
        if (result.value) {
            axios.get(baseurl + '/board/' + id + '/destroy',
            ).then(function (response) {
                console.log(response);
                if (response.data.status == 0) {
                    // refresh the page
                    //location.reload();
                    // remove the element
                    $("div.board_preview[data-id='" + id + "']").remove();
                    $('#free_board_count').data('count', ($('#free_board_count').data('count') + 1));
                    $('#free_board_count').text($('#free_board_count').data('count'));
                    if ($('#free_board_count').data('count') > 2) {
                        $('.no-boards').addClass('d-none')
                        $('.board_available_msg').addClass('font-weight-bold')

                    } else {
                        $('#upgrade_prompt_but').addClass('d-none')
                        $('.no-boards').removeClass('d-none')
                        $('.board_available_msg').removeClass('font-weight-bold')
                    }
                } else {
                    alert('something went wrong with the delete');
                }
            }).catch(function (error) {
                console.log(error);
                alert('something went wrong with the delete');
            }).finally(function () {
                // always executed
                //  wait(false)
                grid.packery('layout');
                // show the
            });
        }
    })
}

const roolyDeleteSelectedFolder = () => {
    // console.log('deleting folder');
    //  console.log($("input[name='folder_selection']:checked"). val());
    $('#delete_folder_dialog').modal('hide');
    //wait(true)
    console.log('deleting')
    let folder_id = $("input[name='folder_selection']:checked").val()
    axios({
        url: baseurl + '/board/deletefolder',
        method: 'POST',
        data: {
            id: folder_id
        }
    }).then((response) => {
        // wait(true)
        if (response.data.status == 0) {
            // remove the folder
            $("#folder_container_" + folder_id).remove();
            $("#folder_container_-1").prop('checked', true).trigger('change');
        } else {
            alert('something went wrong with the operation');
        }
    }).catch(function (error) {
        console.log(error);
        alert('something went wrong with the operation');
    }).finally(() => {
        // wait(false);
    });
}
