<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Strings Language Lines
    |--------------------------------------------------------------------------
    |
    | The following language lines are used in strings throughout the system.
    | Regardless where it is placed, a string can be listed here so it is easily
    | found in a intuitive way.
    |
    */

    'backend' => [
        'access' => [
            'users' => [
                'delete_user_confirm' => 'Are you sure you want to delete this user permanently? Anywhere in the application that references this user\'s id will most likely error. Proceed at your own risk. This can not be un-done.',
                'if_confirmed_off' => '(If confirmed is off)',
                'no_deactivated' => 'There are no deactivated users.',
                'no_deleted' => 'There are no deleted users.',
                'restore_user_confirm' => 'Restore this user to its original state?',
            ],
        ],

        'dashboard' => [
            'title' => 'Dashboard',
            'welcome' => 'Welcome',
        ],

        'general' => [
            'all_rights_reserved' => 'All Rights Reserved.',
            'are_you_sure' => 'Are you sure you want to do this?',
            'boilerplate_link' => 'Laravel Boilerplate',
            'continue' => 'Continue',
            'member_since' => 'Member since',
            'minutes' => ' minutes',
            'search_placeholder' => 'Search...',
            'timeout' => 'You were automatically logged out for security reasons since you had no activity in ',

            'see_all' => [
                'messages' => 'See all messages',
                'notifications' => 'View all',
                'tasks' => 'View all tasks',
            ],

            'status' => [
                'online' => 'Online',
                'offline' => 'Offline',
            ],

            'you_have' => [
                'messages' => '{0} You don\'t have messages|{1} You have 1 message|[2,Inf] You have :number messages',
                'notifications' => '{0} You don\'t have notifications|{1} You have 1 notification|[2,Inf] You have :number notifications',
                'tasks' => '{0} You don\'t have tasks|{1} You have 1 task|[2,Inf] You have :number tasks',
            ],
        ],

        'search' => [
            'empty' => 'Please enter a search term.',
            'incomplete' => 'You must write your own search logic for this system.',
            'title' => 'Search Results',
            'results' => 'Search Results for :query',
        ],

        'welcome' => 'Welcome to the Dashboard',
    ],

    'emails' => [
        'auth' => [
            'account_confirmed' => 'Your account has been confirmed.',
            'error' => 'Whoops!',
            'greeting' => 'Welcome to Graphics et al!',
            'regards' => 'Regards,',
            'trouble_clicking_button' => 'If you’re having trouble clicking the ":action_text" button, copy and paste the URL below into your web browser:',
            'thank_you_for_using_app' => 'Thank you for making an account with Graphics Et Al!',
            'mistake' => "You are receiving this email because you signed up to Graphics Et al. If this was sent to you by mistake, please contact <a href='mailto:support@graphicsetal.com'>support@graphicsetal.com</a><p/>",
            'password_reset_subject' => 'Reset Password',
            'password_cause_of_email' => 'You are receiving this email because we received a password reset request for your account.',
            'password_if_not_requested' => 'If you did not request a password reset, no further action is required.',
            'reset_password' => 'Click here to reset your password',

            'click_to_confirm' => 'Click here to confirm your account:',
        ],

        'contact' => [
            'email_body_title' => 'You have a new contact form request: Below are the details:',
            'subject' => 'A new :app_name contact form submission!',
        ],
    ],

    'frontend' => [
        'test' => 'Test',

        'tests' => [
            'based_on' => [
                'permission' => 'Permission Based - ',
                'role' => 'Role Based - ',
            ],

            'js_injected_from_controller' => 'Javascript Injected from a Controller',

            'using_blade_extensions' => 'Using Blade Extensions',

            'using_access_helper' => [
                'array_permissions' => 'Using Access Helper with Array of Permission Names or ID\'s where the user does have to possess all.',
                'array_permissions_not' => 'Using Access Helper with Array of Permission Names or ID\'s where the user does not have to possess all.',
                'array_roles' => 'Using Access Helper with Array of Role Names or ID\'s where the user does have to possess all.',
                'array_roles_not' => 'Using Access Helper with Array of Role Names or ID\'s where the user does not have to possess all.',
                'permission_id' => 'Using Access Helper with Permission ID',
                'permission_name' => 'Using Access Helper with Permission Name',
                'role_id' => 'Using Access Helper with Role ID',
                'role_name' => 'Using Access Helper with Role Name',
            ],

            'view_console_it_works' => 'View console, you should see \'it works!\' which is coming from FrontendController@index',
            'you_can_see_because' => 'You can see this because you have the role of \':role\'!',
            'you_can_see_because_permission' => 'You can see this because you have the permission of \':permission\'!',
        ],

        'general' => [
            'joined' => 'Joined',
        ],

        'user' => [
            'change_email_notice' => 'If you change your e-mail you will be logged out until you confirm your new e-mail address.',
            'email_changed_notice' => 'You must confirm your new e-mail address before you can log in again.',
            'profile_updated' => 'Profile successfully updated.',
            'password_updated' => 'Password successfully updated.',
        ],

        'welcome_to' => 'Welcome to :place',
        'terms_and_conditions' => [
            'text' => '<p style="font-weight: bold">
                        WEBSITE TERMS & CONDITIONS OF USE
                    </p>
                    <p>
                    <ol>
                        <li><span style="font-weight: bold"> About the Website</span>
                            <ol type="a">
                                <li>
                                    Welcome to www.graphicsetal.com (the \'Website\'). The Website allows you to
                                    access and use the Graphics et al. (the \'Services\').
                                </li>
                                <li>
                                    The Website is operated by GRAPHICS ET AL. PTY LTD, ACN/ABN 647665898 .
                                    Access to and use of the Website, or any of its associated Products or Services, is
                                    provided by GRAPHICS ET AL. PTY LTD. Please read these terms and conditions
                                    (the \'Terms\') carefully. By using, browsing and/or reading the Website, this
                                    signifies that you have read, understood and agree to be bound by the Terms. If
                                    you do not agree with the Terms, you must cease usage of the Website, or any of
                                    Services, immediately.
                                </li>
                                <li>
                                    GRAPHICS ET AL. PTY LTD reserves the right to review and change any of the
                                    Terms by updating this page at its sole discretion. When GRAPHICS ET AL. PTY
                                    LTD updates the Terms, it will use reasonable endeavours to provide you with
                                    notice of updates to the Terms. Any changes to the Terms take immediate effect
                                    from the date of their publication. Before you continue, we recommend you keep a
                                    copy of the Terms for your records.
                                </li>

                            </ol>

                        <li><span style="font-weight: bold"> Acceptance of the Terms</span>
                            You accept the Terms by remaining on the Website. Where the option is available in the
                            user interface, you may also accept the Terms by clicking to accept or agree to the
                            Terms.
                        </li>
                        <li>
                            <span style="font-weight: bold"> About the Service</span>
                            <ol type="a">
                                <li>
                                    Graphics et al. is a browser based software which allows users to create their
                                    own
                                    science specific artwork from a library of templates and graphics.
                                </li>
                                <li>
                                    Free, Student, Researcher, Lab accounts are currently offered. You acknowledge
                                    and agree that the accounts offered, as well as the account features may change
                                    from time to time, and may be governed by separate terms which apply specific to
                                    the account. Where special account-specific terms apply, you will be informed, and
                                    must accept those terms before you are given such an account. For the avoidance
                                    of doubt these Terms apply unless otherwise agreed or amended by account specific
                                    terms.
                                </li>
                                <li>
                                    Some accounts may be governed by a separate Software Licensing Agreement
                                    with GRAPHICS ET AL. PTY LTD, which may amend the terms of use. For the
                                    avoidance of doubt these Terms apply unless otherwise agreed or amended by
                                    the terms of an applicable Software Licensing Agreement.
                                </li>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Acceptable use of the Service</span>
                            <ol type="a">
                                <li>
                                    Graphics et al., its related features, and website must only be used
                                    lawfully.GRAPHICS ET AL. PTY LTD reserves the right to suspend, cancel, or
                                    otherwisedeny access to users and accounts who use the service:
                                </li>
                                <ol type="i">
                                    <li>
                                        To engage in any act that would disrupt the access, availability, and security
                                        of Graphics et al. and other GRAPHICS ET AL. PTY LTD services, including (but
                                        not limited to):
                                        <p>(A) Tampering with, reverse-engineering, or hacking our servers.</p>
                                        <p>(B) Modifying, disabling, or compromising the performance Graphics etal. or
                                            other GRAPHICS ET AL. PTY LTD services.</p>
                                        <p>(C) Overwhelming, or attempting to overwhelm our infrastructure by imposing
                                            an unreasonably large load on our systems that consume extraordinary
                                            resources.</p>
                                        <p>(D)Compromising the integrity of our system, including probing, scanning and
                                            testing the vulnerability of our system unless expressly permitted by
                                            GRAPHICS ET AL. PTY LTD.</p>
                                    </li>
                                    <li>
                                        For any illegal purpose, or to violate any laws, including and without
                                        limitation todata, privacy, and export control laws.
                                    </li>
                                    <li>
                                        To stalk, harass or threaten users and any member of the public.
                                    </li>
                                    <li>
                                        To misrepresent or defraud any user or member of the public through
                                        phishing,spoofing, manipulating headers or other identifiers, impersonating
                                        anyone else, or falsely implying any sponsorship or association with GRAPHICS ET
                                        AL. PTY LTD or any third party
                                    </li>
                                    <li>
                                        To access or search any part of the Service, or any other Service owned by
                                        GRAPHICS ET AL. PTY LTD other than our publicly supported interface, or
                                        otherwise allowed for in an applicable Software Licensing Agreement.
                                    </li>
                                    <li>
                                        To post, upload, share, or otherwise circulate content in violation of Graphics
                                        et al.’s content policy
                                    </li>
                                </ol>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Security and Data Privacy</span>
                            <p>
                                GRAPHICS ET AL. PTY LTD takes your privacy seriously and information provided through
                                your use of the Website and/or Services are subject to GRAPHICS ET AL. PTYLTD’s Privacy
                                Policy, which is available on the Website. The Privacy Policy also
                                addresses GRAPHICS ET AL. PTY LTD’s processes, policies, and obligations in respect of
                                Graphics et al. security breaches.
                            </p>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Data Use</span>
                            <p>
                                GRAPHICS ET AL. PTY LTD collects, stores, and processes your data on Graphics et al.
                                The data is used to provide Services to you, as well as to facilitate GRAPHICS ET AL.PTY
                                LTD’s business operations.
                                The Privacy Policy outlined how your data is collected, stored, and processed by
                                GRAPHICS ET AL. PTY LTD.
                                The Privacy Policy also addresses GRAPHICS ET AL. PTY LTD\'s processes, policies, and
                                obligations in respect of data encryption and removal requests.
                            </p>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Subscription to use the Service</span>
                            <ol type="a">
                                <li>
In order to access the Services, you must first purchase a subscription through the
                                    Website (the \'Subscription\') and pay the applicable fee for the selected
                                                                                                Subscription (the \'Subscription Fee\'). After purchasing a Subscription, you will be
                                    considered a member (\‘Member\’).
                                </li>
                                <li>
In purchasing the Subscription, you acknowledge and agree that it is your
                                    responsibility to ensure that the Subscription you elect to purchase is suitable for
    your use.
                                </li>
                                <li>
Before, during or after you have purchased the Subscription, you will then be
                                    required to register for an account through the Website before you can access the
                                    Services (the \'Account\').
                                </li>
                                <li>
                                    As part of the registration process, or as part of your continued use of
                                    theServices, you may be required to provide personal information about yourself
(such as identification or contact details), including but not limited to email
                                    addresses, names, institutional affiliations, lab affiliations, contact numbers,
                                    credit card details.
                                </li>
                                <li>
You warrant that any information you give to GRAPHICS ET AL. PTY LTD in the course
                                    of completing the registration process will always be accurate, correct and up to
                                    date.
                                </li>
                                <li>
Once you have completed the registration process, you will be a registered user of
                                    the Website and agree to be bound by the Terms ("User"). As a Member you will be
                                    granted immediate access to the Services from the time you have completed the
                                    registration process until the subscription period expires (the \'Subscription
                                    Period\')
                                </li>
                                <li>
You may not use the Services and may not accept the Terms if:
    <p>(i)you are not of legal age to form a binding contract with GRAPHICS ET AL. PTY
                                        LTD; or</p>
                                    <p>(ii)you are a person barred from receiving the Services under the laws
                                        ofAustralia or other countries including the country in which you are resident
or
from which you use the Services</p>
                                </li>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Payments</span>
                            <ol type="a">
                                <li>
Subject to the terms of any applicable Software License Agreement, the Subscription
                                    Fee
                                    may be paid by all payment methods available on the Website,and may change from time
                                    to
                                    time.
                                </li>
                                <li>
Payments made in the course of your use of Graphics et al. may be made
                                    using third-party applications and services not owned, operated, or otherwise
                                    controlled by GRAPHICS ET AL. PTY LTD. You acknowledge and agree that GRAPHICS ET
                                    AL. PTY
                                    LTD will not be liable for any losses or damage arising from the operations of
                                    third-party payment applications and services. You further acknowledge and warrant
                                    that
                                    you have read, understood and agree to be bound by the terms and conditions of the
                                    applicable third-party payment applications and services you choose to use as a
                                    payment
                                    method for Graphics et al. services.
                                </li>
                                <li>
You acknowledge and agree that where a request
                                    for the payment of theSubscription Fee is returned or denied, for whatever reason,
                                                                                                      by
                                                                                                      your financial institution or is unpaid by you for any other reason, then you are
                                    liable
                                    for anycosts, including banking fees and charges, associated with the Subscription
                                    Fee.
                                </li>
                                <li>
You agree and acknowledge that GRAPHICS ET AL. PTY LTD can vary the Subscription
                                    Fee at any time and that the varied Subscription Fee will come into effect following
                                    the
                                    conclusion of the existing Subscription.
                                </li>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Refund policy</span>
                            <p>
GRAPHICS ET AL. PTY LTD will only provide you with a refund of the Subscription Fee
                                in the event they are unable to continue to provide the Services or if the manager
                                of GRAPHICS ET AL. PTY LTD makes a decision, at its absolute discretion, that it
                                is reasonable to do so under the circumstances . Where this occurs, the refund will be
                                in
                                the proportional amount of the Subscription Fee that remains unused by the Member(the
                                \'Refund\').
                            </p>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Copyright and Intellectual Property</span>
                            <ol type="a">
                                <li>
The Website, the Services and all of the related products of GRAPHICS ET AL.PTY LTD
                                    are subject to copyright. The material on the Website is protected by copyright
                                    under
                                    the laws of Australia and through international treaties. Unless
                                    otherwise indicated, all rights (including copyright) in the Services and
compilation of the Website (including but not limited to text, graphics, logos,
                                    button icons, video images, audio clips, Website, code, scripts, design elements and
interactive features) or the Services are owned or controlled for these purposes,
                                    and
                                    are reserved by GRAPHICS ET AL. PTY LTD or its contributors
</li>
                                <li>
All trademarks, service marks and trade names are owned, registered and/or licensed
                                    by GRAPHICS ET AL. PTY LTD, who grants to you a worldwide, non-exclusive,
                                    royalty-free, revocable license whilst you are a User to:
                                    <p>(i)use the Website pursuant to the Terms;</p>
                                    <p>(ii)copy and store the Website and the material contained in the Website in your
                                        device\'s cache memory; and</p>
                                    <p>(iii)print pages from the Website for your own personal and non-commercial
                                        use.</p>
                                </li>
                                <li>
                                    GRAPHICS ET AL. PTY LTD does not grant you any other rights whatsoever in relation
                                    to the Website or the Services. All other rights are expressly reserved by GRAPHICS
                                    ET AL. PTY LTD.
                                </li>
                                <li>
                                    GRAPHICS ET AL. PTY LTD retains all rights, title and interest in and to the Website
                                    and all related Services. Nothing you do on or in relation to the Website will
                                    transfer any:
                                    <p>(i)business name, trading name, domain name, trade mark, industrial
                                        design,patent, registered design or copyright, or</p>
                                    <p>(ii)a right to use or exploit a business name, trading name, domain name,trade
                                        mark or industrial design, or</p>
                                    <p>(iii)a thing, system or process that is the subject of a patent, registered
                                        design or
                                        copyright (or an adaptation or modification of such a thing, system or process),
                                        to
                                        you.</p>
                                </li>
                                <li>
                                    You may not, without the prior written permission of GRAPHICS ET AL. PTY LTD and the
                                    permission of any other relevant rights owners: broadcast, republish, up-load to a
                                    third party, transmit, post, distribute, show or play in public, adapt or change in
                                    any way the Services or third party Services for any purpose, unless otherwise
                                    provided by these Terms. This prohibition does not extend to materials on the
                                    Website, which are freely available for re-use or are in the public domain.
                                </li>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> General Disclaimer</span>
                            <ol type="a">
                                <li>
                                    Nothing in the Terms limits or excludes any guarantees, warranties, representations
                                    or conditions implied or imposed by law, including the Australian
                                    Consumer Law (or any liability under them) which by law may not be limited
                                    or excluded.
                                </li>
                                <li>Subject to this clause, and to the extent permitted by law:
                                    <p>(i) all
                                        terms, guarantees, warranties, representations or conditions which are not
                                        expressly
                                        stated in the Terms are excluded; and
                                    </p>
                                    <p>
                                        (ii)GRAPHICS ET AL. PTY LTD will not be liable
                                        for any special, indirect or consequential loss or damage (unless such loss or
                                        damage
                                        is reasonably foreseeable resulting from our failure to meet an applicable
                                        Consumer Guarantee), loss of profit or opportunity, or damage to good will
                                        arising
                                        out of or in connection with the Services or these Terms (including as a result
                                        of not
                                        being able to use the Services or the late supply of the Services),whether at
                                        common
                                        law, under contract, tort (including negligence), inequity, pursuant to statute
                                        or
                                        otherwise.
                                    </p>
                                </li>
                                <li>Use of the Website and the Services is at your own risk. Everything on
                                    the Website and the Services is provided to you "as is" and "as available" without
                                    warranty or condition of any kind. None of the affiliates, directors, officers,
                                    employees, agents,contributors and licensors of GRAPHICS ET AL. PTY LTD make any
                                    express or implied representation or warranty about the Services or any products or
                                    Services (including the products or Services of GRAPHICS ET AL. PTY LTD) referred to
                                    on the Website, includes (but is not restricted to) loss or damage you might suffer
                                    asa result of any of the following:
                                    <p>(i)failure of performance, error, omission, interruption, deletion, defect,
                                        failure to correct defects, delay in operation or
                                        transmission, computer virus or other harmful component, loss of data,
                                        communication
                                        line failure, unlawful third party conduct, or theft, destruction, alteration or
                                        unauthorised access to records;
                                    </p>
                                    <p>(ii)the accuracy, suitability or currency of any information on the Website,
                                        theServices, or any of its Services related products
                                        (including third party material and advertisements on the Website);
                                    </p>
                                    <p>(iii)costs
                                        incurred as a result of you using the Website, the Services or any of the
                                        products of
                                        GRAPHICS ET AL. PTY LTD; and
                                    </p>
                                    <p>(iv)the Services or operation in respect to links which
                                        are provided for your convenience</p>
                                </li>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Limitation of Liability</span>
                            <ol type="a">
                                <li>
                                    GRAPHICS ET AL. PTY LTD\'s total liability arising out of or in connection with the
                                    Services or these Terms, however arising, including under contract, tort (including
                                    negligence), in equity, under statute or otherwise, will not exceed the resupply
                                    ofthe Services to you
</li>
                                <li>You expressly understand and agree that GRAPHICS ET AL. PTY LTD, its affiliates,
                                    employees, agents, contributors and licensors shall not be liable to you for any
                                                                                                                 direct, indirect, incidental, special consequential or exemplary damages which may
                                    be
                                    incurred by you, however caused and under any theory of liability.This shall
                                    include, but is not limited to, any loss of profit (whether incurred directly or
indirectly), any loss of goodwill or business reputation and any other
                                    intangible loss.
                                </li>

                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Termination of Contract</span>
                            <ol type="a">
                                <li>
The Terms will continue to apply until terminated by either you or by GRAPHICS ET
                                    AL.
                                    PTY LTD as set out below.
                                </li>
                                <li>If you want to terminate the Terms, you may do so by:
                                    <p>(i)not renewing the Subscription prior to the end of the Subscription Period;
                                    </p>
                                    <p>(ii)providing GRAPHICS ET
                                        AL. PTY LTD with 10 working days’ notice of your intention to terminate;
                                        and</p>
                                    <p>(iii)closing your accounts for all of the services which you use, where GRAPHICS
                                        ET AL. PTY LTD has made this option available to you.</p>
                                </li>
                                <li>Any notices pursuant to Clause 13.2 above should be sent, in writing, toGRAPHICS ET
                                    AL. PTY LTD via the \'Contact Us\' link on our homepage.
                                </li>
                                <li>GRAPHICS ET AL. PTY LTD may at any time, terminate the Terms with you if:
    <p>(i)you do
    not renew the Subscription at the end of the Subscription Period;
                                    </p>
                                    <p>(ii)you have
                                        breached any provision of the Terms or intend to breach any provision;</p>
                                    <p>(iii)GRAPHICS
                                        ET AL. PTY LTD is required to do so by law;</p>
                                    <p>(iv)the provision of the Services to you
                                        by GRAPHICS ET AL. PTY LTD is, in the opinion of GRAPHICS ET AL. PTY LTD, no
                                        longer
                                        commercially viable.</p>
                                </li>
                                <li>
Subject to local applicable laws, GRAPHICS ET AL. PTY LTD reserves the right
                                    to discontinue or cancel your Subscription or Account at any time and may suspend or
deny, in its sole discretion, your access to all or any portion of the Website or
the
                                    Services without notice if you breach any provision of the Terms or any applicable
                                    law or if your conduct impacts GRAPHICS ET AL. PTY LTD\'s name or reputation or
                                    violates the rights of those of another party.
                                </li>
                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Indemnity</span>
                            <p>You agree to indemnify GRAPHICS ET AL. PTY LTD, its affiliates, employees,
                                agents,contributors, third party content providers and licensors from and against:</p>
                            <ol type="a">
                                <li>
                                    all actions, suits, claims, demands, liabilities, costs, expenses, loss and
                                    damage(including legal fees on a full indemnity basis) incurred, suffered or arising
                                    out ofor in connection with Your Content;
                                </li>
                                <li>any direct or indirect consequences of you accessing, using or transacting on the
                                    Website or attempts to do so; and/or
                                </li>
                                <li>any breach of the Terms.
                                </li>

                            </ol>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Dispute Resolution</span>
                            <p><span style="font-weight: bold">15.1 Compulsory:</span></p>
                            <p>
                                If a dispute arises out of or relates to the Terms, either party may not commence
                                any Tribunal or Court proceedings in relation to the dispute, unless the following
                                clauses have been complied with (except where urgent interlocutory relief is
                                sought).
                            </p>
                            <p><span style="font-weight: bold">15.2 Notice:</span></p>
                            <p>
                                A party to the Terms claiming a dispute (\'Dispute\') has arisen under the Terms, must
                                give written notice to the other party detailing the nature of the dispute, the desired
                                outcome and the action required to settle the Dispute.
                            </p>
                            <p><span style="font-weight: bold">15.3 Resolution:</span></p>
                            <p>
                                On receipt of that notice (\'Notice\') by that other party, the parties to the
                                Terms(\'Parties\') must:
                            </p>
                            <ol type="a">
                                <li>
                                    Within 14 days of the Notice endeavour in good faith to resolve the
                                    Dispute expeditiously by negotiation or such other means upon which they may
                                    mutually
                                    agree;
                                </li>
                                <li>If for any reason whatsoever, 14 days after the date of the Notice, the Dispute has
                                    not been resolved, the Parties must either agree upon selection of a mediator or
                                    request that an appropriate mediator be appointed by the President of the Australian
                                    Disputes Centre or his or her nominee;
                                </li>
                                <li>The Parties are equally liable for the fees and reasonable expenses of a mediator
                                    and
                                    the cost of the venue of the mediation and without limiting the foregoing undertake
                                    to pay any amounts requested by the mediator as a pre-condition to the mediation
                                    commencing. The Parties must each pay their own costs associated with the mediation;
                                </li>
                                <li>The mediation will be held in Brisbane, Australia
                                </li>
                            </ol>
                            <p><span style="font-weight: bold">15.4 Confidential:</span></p>
                            <p>
                                All communications concerning negotiations made by the Parties arising out of and
                                in connection with this dispute resolution clause are confidential and to the extent
                                possible,must be treated as "without prejudice" negotiations for the purpose of
                                applicable laws of evidence.
                            </p>
                            <p><span style="font-weight: bold">15.5 Termination of Mediation::</span></p>
                            <p>
                                If 5 days have elapsed after the start of a mediation of the Dispute and the Dispute
                                hasnot been resolved, either party may ask the mediator to terminate the mediation and
                                the mediator must do so.
                            </p>
                        </li>
                        <li>
                            <span style="font-weight: bold"> Venue and Jurisdiction</span>
                            The Services offered by GRAPHICS ET AL. PTY LTD is intended to be viewed by residents of
                            Australia. In the event of any dispute arising out of or in relation to the Website, you
                            agree that the exclusive venue for resolving any dispute shall be in the courts of
                            Queensland.
                        </li>
                        <li>
                            <span style="font-weight: bold"> Governing Law</span>
                            The Terms are governed by the laws of Queensland. Any dispute, controversy,proceeding or
                            claim of whatever nature arising out of or in any way relating to the Terms and the rights
                            created hereby shall be governed, interpreted and construed by, under and pursuant to the
                            laws of Queensland, Australia without reference to conflict of law principles,
                            notwithstanding mandatory rules. The validity of this governing law clause is not contested.
                            The Terms shall be binding to the benefit of the parties hereto and their successors and
                            assign
                        </li>
                        <li>
                            <span style="font-weight: bold"> Venue and Jurisdiction</span>
                            The Services offered by GRAPHICS ET AL. PTY LTD is intended to be viewed by residents of
                            Australia. In the event of any dispute arising out of or in relation to the Website, you
                            agree that the exclusive venue for resolving any dispute shall be in the courts of
                            Queensland.
                        </li>
                        <li>
                            <span style="font-weight: bold"> Independent Legal Advice</span>
                            Both parties confirm and declare that the provisions of the Terms are fair and reasonable
                            and
                            both parties having taken the opportunity to obtain independent legal advice and declare the
                            Terms are not against public policy on the grounds of inequality or bargaining power or
                            general grounds of restraint of trade.
                        </li>
                        <li>
                            <span style="font-weight: bold"> Severance</span>
                            If any part of these Terms is found to be void or unenforceable by a Court of
                            competent jurisdiction, that part shall be severed and the rest of the Terms shall remain in
                            force.
                        </li>


                    </ol>',],
        'privacy' => [
            'text' => '<p style="font-weight: bold">Privacy Policy</p>
<p>Graphics et al is committed to providing quality services to you and this policy outlines our ongoing obligations to you in respect of how we manage your Personal Information.</p>
<p>We have adopted the Australian Privacy Principles (APPs) contained in the Privacy Act 1988 (Cth) (the Privacy Act). The NPPs govern the way in which we collect, use, disclose, store, secure and dispose of your Personal Information.</p>
<p>A copy of the Australian Privacy Principles may be obtained from the website of The Office of the Australian Information Commissioner at www.aoic.gov.au</p>
<p style="font-weight: bold">What is Personal Information and why do we collect it?</p>
<p>Personal Information is information or an opinion that identifies an individual. Examples of Personal Information we collect include: names, addresses, email addresses, phone and facsimile numbers.</p>
<p>This Personal Information is obtained in many ways including correspondence, by telephone and facsimile, by email, via our website https://graphicsetal.com, from your website, from media and publications, from other publicly available sources, from cookies and from third parties. We don’t guarantee website links or policy of authorised third parties.</p>
<p>We collect your Personal Information for the primary purpose of providing our services to you, providing information to our clients and marketing. We may also use your Personal Information for secondary purposes closely related to the primary purpose, in circumstances where you would reasonably expect such use or disclosure. You may unsubscribe from our mailing/marketing lists at any time by contacting us in writing.</p>
<p>When we collect Personal Information we will, where appropriate and where possible, explain to you why we are collecting the information and how we plan to use it.</p>
<p style="font-weight: bold">Sensitive Information</p>
<p>Sensitive information is defined in the Privacy Act to include information or opinion about such things as an individual\'s racial or ethnic origin, political opinions, membership of a political association, religious or philosophical beliefs, membership of a trade union or other professional body, criminal record or health information.</p>
<p>Sensitive information will be used by us only:</p>
<ul>
<li>For the primary purpose for which it was obtained
<li>For a secondary purpose that is directly related to the primary purpose
<li>With your consent; or where required or authorised by law.
</ul>

<p style="font-weight: bold">Third Parties</p>
<p>Where reasonable and practicable to do so, we will collect your Personal Information only from you. However, in some circumstances we may be provided with information by third parties. In such a case we will take reasonable steps to ensure that you are made aware of the information provided to us by the third party.</p>
<p style="font-weight: bold">Disclosure of Personal Information</p>
<p>Your Personal Information may be disclosed in a number of circumstances including the following:</p>
<ul>
<li>Third parties where you consent to the use or disclosure; and</li>
<li>Where required or authorised by law.</li>
</ul>
<p style="font-weight: bold">Security of Personal Information</p>
<p>Your Personal Information is stored in a manner that reasonably protects it from misuse and loss and from unauthorized access, modification or disclosure.</p>
<p>When your Personal Information is no longer needed for the purpose for which it was obtained, we will take reasonable steps to destroy or permanently de-identify your Personal Information. However, most of the Personal Information is or will be stored in client files which will be kept by us for a minimum of 7 years.</p>
<p style="font-weight: bold">Access to your Personal Information
<p>You may access the Personal Information we hold about you and to update and/or correct it, subject to certain exceptions. If you wish to access your Personal Information, please contact us in writing.</p>
<p>Graphcs et al will not charge any fee for your access request, but may charge an administrative fee for providing a copy of your Personal Information.</p>
<p>In order to protect your Personal Information we may require identification from you before releasing the requested information.</p>
<p style="font-weight: bold">Maintaining the Quality of your Personal Information</p>
<p>It is an important to us that your Personal Information is up to date. We  will  take reasonable steps to make sure that your Personal Information is accurate, complete and up-to-date. If you find that the information we have is not up to date or is inaccurate, please advise us as soon as practicable so we can update our records and ensure we can continue to provide quality services to you.</p>
<p style="font-weight: bold">Policy Updates</p>
<p>This Policy may change from time to time and is available on our website.</p>
<p style="font-weight: bold">Privacy Policy Complaints and Enquiries</p>
<p>If you have any queries or complaints about our Privacy Policy please contact us at:</p>
<p>info@graphicsetal.com</p>
'],
        'pricing_labels' => [
            'free' => [
                'price' => '0',
                'tagline_1' => 'no time limit, just free',
                'tagline_2' => 'Perfect <br>for small projects',
                'feature_list' => '<li class="plan_list-item"><strong>3 artboards</strong></li>
<li class="plan_list-item">Private user library</li>
<li class="plan_list-item">No permission to publish or commercial use</li>
'
            ],
            'student' => [
                'price' => '19.60',
                'tagline_1' => '/user/month, billed annually or $24.50 /user/month, billed monthly',
                'tagline_2' => 'Perfect <br>for aspiring researchers',
                'feature_list' => '
<li class="plan_list-item"><strong>Unlimited artboards</strong></li>
<li class="plan_list-item">Private user library</li>
<li class="plan_list-item">Request custom graphics</li>
<li class="plan_list-item">Permission to publish</li>
                    <li class="plan_list-item">No permission for commercial use</li>'
            ],
            'researcher' => [
                'price' => '28',
                'tagline_1' => '/user/month, billed annually or $35 /user/month, billed monthly',
                'tagline_2' => 'Perfect <br>for researchers and educators',
                'feature_list' => ' <li class="plan_list-item"><strong>Unlimited artboards</strong></li>
 <li class="plan_list-item">Private user library</li>
                <li class="plan_list-item">Access to user forums</li>
                <li class="plan_list-item">Request custom graphics</li>
                    <li class="plan_list-item">Permission for publishing and commercial use</li>'
            ],
            'lab' => [
                'price' => '80',
                'tagline_1' => '/month, billed annually or $90/month, billed monthly',
                'tagline_2' => 'Perfect for <br>labs and research groups',
                'feature_list' => '
<li class="plan_list-item"><strong>Unlimited artboards</strong></li>
<li class="plan_list-item">Private user library</li>
                <li class="plan_list-item">Access to user forums</li>
                <li class="plan_list-item">Permission for publishing and commercial use</li>
                <li class="plan_list-item">Request custom graphics</li>
                <li class="plan_list-item">Private laboratory library</li>
                <li class="plan_list-item">Private laboratory forum</li>
                <li class="plan_list-item">Collaborative working</li>
                <li class="plan_list-item">Branded templates package</li>
                <li class="plan_list-item">Includes 5 licences</li>
                <li class="plan_list-item">Discounts available for non-profit organisations</li>
                <li class="plan_list-item">Contact us for more plan options</li>'
            ],

        ]
    ],
];
