@extends('backend.layouts.app')

@section('title', app_name() . ' | ' .'Update clipart')

@section('content')
    {{ html()->modelForm($shape, 'PATCH', route('admin.clipart.update', $shape->id))->class('form-horizontal')->attribute('enctype', 'multipart/form-data')->open() }}
    <div class="card">
        <div class="card-body">
            <div class="row">
                <div class="col-sm-5">
                    <h4 class="card-title mb-0">
                        Shape management
                        <small class="text-muted">Edit shape</small>
                    </h4>
                </div><!--col-->
            </div><!--row-->

            <hr>

            <div class="row mt-4 mb-4">
                <div class="col">
                    <div class=" form-group row " style="border-bottom: 1px solid darkgrey">
                        <h5>Metadata</h5>
                    </div>
                    <div class="form-group row">
                        {{ html()->label('Name')->class('col-md-2 form-control-label')->for('name') }}

                        <div class="col-md-10">
                            {{ html()->text('name')
                                ->class('form-control')
                                ->placeholder('name')
                                ->attribute('maxlength', 254)
                                ->required() }}
                        </div><!--col-->
                    </div><!--form-group-->

                    <div class="form-group row">
                        {{ html()->label('Description')->class('col-md-2 form-control-label')->for('description') }}

                        <div class="col-md-10">
                            {{ html()->textarea('description')
                                ->class('form-control')
                                ->placeholder('Description')
                                ->required() }}
                        </div><!--col-->
                    </div><!--form-group-->




                    <div class=" form-group row " style="border-bottom: 1px solid darkgrey">
                        <h5>Files</h5>
                    </div>
                    <div class=" form-group row " style="margin-bottom: 0">
                        <div class="col">
                            <div class="form-group ">
                                <div class="row no-gutters">

                                    <div class="col-auto" style="padding: 0; margin: 0">
                                        <img
                                            src="{{$shape->path()}}"
                                            alt="{{$shape->name}}"
                                            style="width: 40px; height: auto">
                                            {{ html()->label('Baseline')->for('baseline')->attribute('style', 'font-weight:bold')->class('col-auto') }}
                                    </div>
                                </div>

                                {{ html()->file('baseline')->class('form-control') }}
                            </div>
                        </div>
                    </div>

                </div><!--col-->
            </div><!--row-->
        </div><!--card-body-->

        <div class="card-footer">
            <div class="row">
                <div class="col">
                    {{ form_cancel(route('admin.shapes.index'), __('buttons.general.cancel')) }}
                </div><!--col-->

                <div class="col text-right">
                    {{ form_submit(__('buttons.general.crud.update')) }}
                </div><!--row-->
            </div><!--row-->
        </div><!--card-footer-->
    </div><!--card-->
    {{ html()->closeModelForm() }}
@endsection
@push('after-scripts')
    <script>

    </script>
@endpush

@push('after-styles')
    <style>

    </style>
@endpush
