<!DOCTYPE html>
<link rel="icon" type="image/png" href="{{ asset('img/favicon.png') }}" />
@langrtl
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="rtl">
@else
    <html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    @endlangrtl
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>@yield('title', app_name())</title>
        <meta name="description" content="@yield('meta_description', 'Graphics et al framework')">
        <meta name="author" content="@yield('meta_author', 'Adam Landow')">
    @yield('meta')

    {{-- See https://laravel.com/docs/5.5/blade#stacks for usage --}}
    @stack('before-styles')


        <link href="{{ asset('css/frontend.css') }}" rel="stylesheet">
        <link href="{{ asset('css/g_etal.css') }}" rel="stylesheet">
        <link href="{{ asset('css/board/board.css') }}" rel="stylesheet">
        <link href="{{ asset('css/jquery-ui.min.css') }}" rel="stylesheet">
        <link href="{{ asset('css/styles.css') }}" rel="stylesheet">

        {{--        <link href="https://cdn.jsdelivr.net/npm/clusterize.js@0.18.1/clusterize.min.css" rel="stylesheet">--}}
                <link href="{{ asset('css/ruler.min.css') }}" rel="stylesheet">

        {{--{{ style(subdirMix('public/css/frontend.css', 'public/')) }}--}}
        <style>

        </style>
        @stack('after-styles')
    </head>
    <body
        style="background-image: url('{{asset('img/frontend/backgrounds/BG04.jpg')}}');
            background-position:top; background-size: 100%; background-repeat: no-repeat; height: 100vh">


    <div id="app" style="position: absolute; top:0px;  right:0px;  bottom:0px;  left:0px;">


            {{--            @include('includes.partials.messages')--}}
            @yield('content')



    </div><!-- #app -->

    @yield('sidebar_left')
    {{--    @yield('sidebar_right')--}}
    {{--    @yield('footer')--}}
    @yield('dialogs')
    <!-- Scripts -->
    @stack('before-scripts')

    <script src="{{ asset('js/manifest.js') }}"></script>
    <script src="{{ asset('js/vendor.js') }}"></script>
    <script src="{{ asset('js/frontend.js') }}"></script>
    <script src="{{ asset('js/board/fabric.min.js') }}"></script>

    <script src="{{ asset('js/board/ruler.min.js') }}"></script>
    <script type="text/javascript">


        const baseurl = '{{URL::to('/')}}';
        const canvas_id = '{{$board->id}}';
        const crsf = '{{ csrf_token() }}';
        $.ajaxSetup({
            headers: {
                'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
            }
        });
    </script>
    <script async defer
  src="https://connect.facebook.net/en_US/sdk.js"></script>
    <!--Start of Tawk.to Script-->
<script type="text/javascript">

var Tawk_API=Tawk_API||{}, Tawk_LoadStart=new Date();
@isset(auth()->user()->id)
    Tawk_API.visitor = {
    name  : '{{auth()->user()->first_name}} {{auth()->user()->last_name}}',
    email : '{{auth()->user()->email}}'
};
@endisset
(function(){
var s1=document.createElement("script"),s0=document.getElementsByTagName("script")[0];
s1.async=true;
s1.src='https://embed.tawk.to/6026303f9c4f165d47c28ef0/1euaip0vh';
s1.charset='UTF-8';
s1.setAttribute('crossorigin','*');
s0.parentNode.insertBefore(s1,s0);
});
</script>
<!--End of Tawk.to Script-->
    @stack('after-scripts')

    {{--        @include('includes.partials.ga')--}}
    </body>

    </html>
