<!DOCTYPE html>
<link rel="icon" type="image/png" href="{{ asset('img/favicon.png') }}" />
@langrtl
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}" dir="rtl">
@else
    <html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    @endlangrtl
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
        <meta name="csrf-token" content="{{ csrf_token() }}">
        <title>@yield('title', app_name())</title>
        <meta name="description" content="@yield('meta_description', 'Graphics et al framework')">
        <meta name="author" content="@yield('meta_author', 'Adam Landow')">
    @yield('meta')

    {{-- See https://laravel.com/docs/5.5/blade#stacks for usage --}}
    @stack('before-styles')

    <!-- Check if the language is set to RTL, so apply the RTL layouts -->
        <!-- Otherwise apply the normal LTR layouts -->
        <link href="{{ asset('css/frontend.css') }}" rel="stylesheet">



        {{--{{ style(subdirMix('public/css/frontend.css', 'public/')) }}--}}
        <link href="{{ asset('css/g_etal.css') }}" rel="stylesheet">


        <link href="{{ asset('css/styles.css') }}" rel="stylesheet">
        <link href="{{ asset('fonts/montserrat/stylesheet.css') }}" rel="stylesheet">

        @stack('after-styles')
    </head>
    <body
        style="background-image: url('{{asset('img/frontend/backgrounds/BGHeader-01.svg')}}'); background-size: cover; background-position:top; background-color:#ffffff; background-repeat: no-repeat">
    @include('includes.partials.read-only')

    <div id="notapp" class="main-container" style="position: relative">

        @include('includes.partials.logged-in-as')
        {{-- @include('frontend.includes.nav_minimal') --}}

        @yield('sidebar')
        <div class="container">

            @include('includes.partials.messages')
            @yield('content')
        </div><!-- container -->


    </div><!-- #app -->
    @yield('dialogs')
    <!-- Scripts -->
    @stack('before-scripts')
    <script src="{{ asset('js/manifest.js') }}"></script>
    <script src="{{ asset('js/vendor.js') }}"></script>
    <script src="{{ asset('js/frontend.js') }}"></script>
    @stack('after-scripts')

    {{--        @include('includes.partials.ga')--}}
    </body>

    </html>
