<?php

use App\Http\Controllers\Frontend\Graphics\ClipartController;
use App\Http\Controllers\Frontend\Graphics\ClipartColourwayController;

// All route names are prefixed with 'admin.auth'.
Route::group([
    ['auth','password_expires'],
], function () {
    // Clipart Management
    Route::group(['namespace' => 'Clipart'], function () {
// get some search results
        Route::get('clipart/searchbytagsandtext', [ClipartController::class, 'searchByTagsAndText']);

//        Route::get('shapes', [\App\Http\Controllers\Frontend\Graphics\ShapesController::class, 'list_shapes']);
        Route::get('shapes/getbypage', [\App\Http\Controllers\Frontend\Graphics\ShapesController::class, 'get_by_page']);

// display a colourway, baseline if colour is null
        Route::get('clipart/svg/{id}/{colour}', [ClipartController::class, 'displaysvg']);

        Route::get('clipart/thumb/{id}/{colour?}', [\App\Http\Controllers\Frontend\Graphics\ClipartController::class, 'thumb']);

// get a colourway
        Route::get('colourway/{id}', [ClipartColourwayController::class, 'show']);
    //    Route::get('clipart/{id}/col', [ClipartController::class, 'search_by_tags']);


        Route::get('shapes/{id}', [\App\Http\Controllers\Frontend\Graphics\ShapesController::class, 'show']);


        Route::get('backgrounds/{id}', [\App\Http\Controllers\Frontend\Graphics\BackgroundImageController::class, 'show']);


        // Specific clipart
        Route::group(['prefix' => 'clipart/{id}'], function () {

        });


    });

});
